%define bname gstreamer0.10
%define name %bname-ffmpeg
%define oname gst-ffmpeg
%define version 0.10.11
%define release %mkrel 3
%define gstver 0.10.22

# _with = default off, _without = default on
%bcond_with external_ffmpeg

# (Anssi 01/2008) External ffmpeg disabled because of issues:
# with FLV file with totem:
# ** ERROR:(gstffmpegdec.c:731):gst_ffmpegdec_get_buffer: code should not be reached
# with VDR stream as per manual pipeline in http://bugzilla.gnome.org/show_bug.cgi?id=506902 :
# (gst-launch-0.10:23590): GStreamer-CRITICAL **: gst_value_set_fraction: assertion `denominator != 0' failed
# No playback in either case.

Summary: Gstreamer plugin for the ffmpeg codec
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://gstreamer.freedesktop.org/src/gst-ffmpeg/%{oname}-%{version}.tar.bz2
# (Anssi 01/2008) Enable mpegts demuxer as well, for now.
# If either
# https://core.fluendo.com/gstreamer/trac/ticket/88 or
# http://bugzilla.gnome.org/show_bug.cgi?id=347342
# will be fixed, we should probably remove this patch and package the
# "native" non-ffmpeg MPL-licensed fluendo-mpegdemux, which is apparently
# highly preferred to ffmpeg plugin by upstream.
Patch0: gst-ffmpeg-enable-mpegts.patch
License: GPLv2+
Group: Video
URL: http://www.gstreamer.net
BuildRequires: libgstreamer-plugins-base-devel >= %gstver
BuildRequires: liborc-devel >= 0.4.5
BuildRequires: freetype2-devel
BuildRequires: libcheck-devel
%ifnarch %arm %mips
BuildRequires: valgrind
%endif
BuildRequires: libbzip2-devel
%if %with external_ffmpeg
BuildRequires: ffmpeg-devel
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Video codec plugin for GStreamer based on the ffmpeg libraries.

%prep
%setup -q -n %oname-%version
%patch0 -p1 -b .mpegts

%build
%define _disable_ld_no_undefined 1
# gst-ffmpeg mp3 decoder has issues (eg no seeking support), disable it since
# gst-plugins-bad and gst-fluendo both ship better mp3 decoders
%configure2_5x \
  --with-package-name='Mandriva %name package' \
  --with-package-origin='http://www.mandriva.com/' \
  --with-ffmpeg-extra-configure='--disable-decoder=mp3 --disable-decoder=mp3on4 --disable-decoder=mp3adu --disable-demuxer=mp3 --disable-demuxer=asf' \
%if %with external_ffmpeg
	--with-system-ffmpeg
%endif

%make

%check
cd tests/check
#gw fails in iurt
#make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/gstreamer*/*a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS TODO ChangeLog AUTHORS 
%_libdir/gstreamer-0.10/libgstffmpeg.so
%_libdir/gstreamer-0.10/libgstffmpegscale.so
%_libdir/gstreamer-0.10/libgstpostproc.so



%changelog
* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.10.11-3mdv2011.0
+ Revision: 664935
- mass rebuild

* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 0.10.11-2mdv2011.0
+ Revision: 593556
- rebuild for gstreamer provides

* Thu Jul 15 2010 Götz Waschk <waschk@mandriva.org> 0.10.11-1mdv2011.0
+ Revision: 553768
- new version
- bump gstreamer dep
- replace dep on liboil by orc

* Wed Jun 16 2010 Frederic Crozat <fcrozat@mandriva.com> 0.10.10-2mdv2010.1
+ Revision: 548144
- Disable asf demuxer, it doesn't work, unlike the one in gst-plugins-ugly

* Sun Mar 07 2010 Götz Waschk <waschk@mandriva.org> 0.10.10-1mdv2010.1
+ Revision: 515548
- update to new version 0.10.10

* Tue Feb 23 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.10.9-2mdv2010.1
+ Revision: 510211
- disable mp3 plugin
  This plugin is a bit broken (doesn't support seeking) and is redundant with
  the plugin from gstreamer-plugins-ugly and what is shipped by codeina

* Mon Oct 05 2009 Götz Waschk <waschk@mandriva.org> 0.10.9-1mdv2010.0
+ Revision: 454214
- new version

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 0.10.8-2mdv2010.0
+ Revision: 448985
- disable valgrind on mips & arm (from Arnaud Patard)

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 0.10.8-1mdv2010.0
+ Revision: 390848
- new version
- disable --no-undefined to fix build

* Sat Mar 21 2009 Götz Waschk <waschk@mandriva.org> 0.10.7-1mdv2009.1
+ Revision: 359799
- new version
- drop patches 1,2

* Thu Mar 05 2009 Götz Waschk <waschk@mandriva.org> 0.10.6-2mdv2009.1
+ Revision: 348833
- fix crash with aac audio (bug #48032)
- fix format string

* Sat Nov 29 2008 Götz Waschk <waschk@mandriva.org> 0.10.6-1mdv2009.1
+ Revision: 307977
- new version
- update file list
- drop old patch

* Sat Sep 06 2008 Götz Waschk <waschk@mandriva.org> 0.10.5-2mdv2009.0
+ Revision: 282040
- rebuild

  + Frederik Himpe <fhimpe@mandriva.org>
    - Fix BuildRequires (configure script requests libbzip2-devel)
    - Update to new version 0.10.5
    - Remove plugin doc files which don't exist anymore

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.10.4-2mdv2009.0
+ Revision: 264629
- rebuild early 2009.0 package (before pixel changes)

* Fri May 23 2008 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdv2009.0
+ Revision: 210275
- new version
- update patch 0
- drop patch 1

* Thu Mar 13 2008 Götz Waschk <waschk@mandriva.org> 0.10.3-4mdv2008.1
+ Revision: 187334
- add Mandriva branding

  + Anssi Hannula <anssi@mandriva.org>
    - add build switch for building with external ffmpeg, disabled because
      by default because of issues

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jan 01 2008 Anssi Hannula <anssi@mandriva.org> 0.10.3-3mdv2008.1
+ Revision: 140164
- enable ffmpeg-powered MPEG TS demuxer until there is a fully working
  alternative (http://bugzilla.gnome.org/show_bug.cgi?id=347342)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 0.10.3-2mdv2008.1
+ Revision: 115833
- fix buildrequires
- new version

* Sun Nov 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.10.2-2mdv2008.1
+ Revision: 105674
- new license policy
- rebuild for 2008.1


* Thu Dec 14 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2007.0
+ Revision: 97008
- Import gstreamer0.10-ffmpeg

* Thu Dec 14 2006 Gtz Waschk <waschk@mandriva.org> 0.10.2-1mdv2007.1
- fix buildrequires
- add docs
- add support for tests
- update file list
- New version 0.10.2

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.0
- Rebuild

* Tue Apr 04 2006 Gtz Waschk <waschk@mandriva.org> 0.10.1-1mdk
- drop patch
- New release 0.10.1

* Wed Dec 14 2005 Gtz Waschk <waschk@mandriva.org> 0.10.0-2mdk
- patch for CVE-2005-4048

* Tue Dec 06 2005 Gtz Waschk <waschk@mandriva.org> 0.10.0-1mdk
- New release 0.10.0
- bump deps

* Fri Oct 28 2005 Gtz Waschk <waschk@mandriva.org> 0.8.7-1mdk
- New release 0.8.7

* Mon Aug 08 2005 Götz Waschk <waschk@mandriva.org> 0.8.6-1mdk
- update file list
- remove gcc workaround
- New release 0.8.6

* Fri Jun 17 2005 Gtz Waschk <waschk@mandriva.org> 0.8.5-2mdk
- replace prereq by current syntax
- fix buildrequires

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 0.8.5-1mdk
- ugly workaround for bug 16170
- New release 0.8.5

* Mon Mar 14 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- New release 0.8.4

* Mon Dec 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- New release 0.8.3

* Mon Oct 11 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- New release 0.8.2

* Fri Oct 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.2-1mdk
- new version

* Sat Jul 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- reenable libtoolize
- add source URL
- New release 0.8.1

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-2mdk
- prerequires gstreamer08-tools for the post script
- add post installation script
- fix doc listing

* Thu Apr 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- initial package

